Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tree
Interface TreeNode

All Known Subinterfaces:
  MutableTreeNode

All Known Implementing Classes:
  DefaultMutableTreeNode

    public interface TreeNode

Defines the requirements for an object that can be used as a tree node in a `TreeModel`. Note any hierarchial data structure can be used inside a TreeModel, however TreeNode can be used by the DefaultTreeModel as a pre-built TreeModel implementation.

Method Summary
`java.util.Enumeration` | `children()` Returns the children of the reciever as an Enumeration.
`java.lang.String` | `getActionCommand()` Returns the Action command string associated with this node
`boolean` | `getAllowsChildren()` Returns true if the receiver allows children.
`TreeNode` | `getChildAt(int childIndex)` Returns the child `TreeNode` at index `childIndex`.
`int` | `getChildCount()` Returns the number of children `TreeNode`s the receiver contains.
`int` | `getIndex(TreeNode node)` Returns the index of `node` in the receivers children.
`TreeNode` | `getParent()` Returns the parent `TreeNode` of the receiver.
`boolean` | `isLeaf()` Returns true if the receiver is a leaf.

Method Detail

### children

    java.util.Enumeration children()

  Returns the children of the reciever as an Enumeration.

### getActionCommand

    java.lang.String getActionCommand()

  Returns the Action command string associated with this node

### getAllowsChildren

    boolean getAllowsChildren()

  Returns true if the receiver allows children.

### getChildAt

    TreeNode getChildAt(int childIndex)

  Returns the child `TreeNode` at index `childIndex`.

### getChildCount

    int getChildCount()

  Returns the number of children `TreeNode`s the receiver contains.

### getIndex

    int getIndex(TreeNode node)

  Returns the index of `node` in the receivers children. If the receiver does not contain `node`, -1 will be returned.

### getParent

    TreeNode getParent()

  Returns the parent `TreeNode` of the receiver.

### isLeaf

    boolean isLeaf()

  Returns true if the receiver is a leaf.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD